Bug 1335803 (CVE-2016-4805) - CVE-2016-4805 kernel: Use after free vulnerability in ppp_unregister_channel
Summary: CVE-2016-4805 kernel: Use after free vulnerability in ppp_unregister_channel
Status: CLOSED WONTFIX
Alias: CVE-2016-4805
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160316,reported=2...
Keywords: Security
Depends On: 1335804 1335805
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-13 09:08 UTC by Adam Mariš
Modified: 2019-06-08 21:11 UTC (History)
38 users (show)

(edit)
A use after free vulnerability was found in ppp_unregister_channel function. This is triggered when network namespace is removed while ppp_async channel is still registered in it and ppp_unregister_channel() tries to access its per-netns data in the defunct namespace.  An attacker controlling this data could potentially denial of service the system.
Clone Of:
(edit)
Last Closed: 2016-05-18 03:24:15 UTC


Attachments (Terms of Use)

Description Adam Mariš 2016-05-13 09:08:05 UTC
A use after free vulnerability was found in ppp_unregister_channel function. This is triggered when network namespace is removed while ppp_async channel is still registered in it and ppp_unregister_channel() tries to access its per-netns data in the defunct namespace.

An attacker who could control this memory that is being used in the defunct namespace could create a denial of service by spinlocking a CPU.

An unprivileged local user  could use this flaw to induce kernel memory corruption on the system, leading to a crash. Due to the nature of the flaw, privilege escalation cannot be fully ruled out, although we believe it is unlikely.

Upstream patch:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=1f461dcdd296eecedaffffc6bae2bfa90bd7eb89

CVE request:

http://seclists.org/oss-sec/2016/q2/319

Comment 1 Adam Mariš 2016-05-13 09:08:56 UTC
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1335804]

Comment 3 Wade Mealing 2016-05-18 01:32:02 UTC
Statement:

This issue affects the Linux kernels as shipped with Red Hat Enterprise Linux 6, 7 realtime and MRG-2 kernels and does not plan to be addressed in a future update


Note You need to log in before you can comment on or make changes to this bug.